/***************************************************************************
 *   Copyright (C) 2003 by Mario Scalas                                    *
 *   mario.scalas@libero.it                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CVSFORM_H
#define CVSFORM_H

#include "cvsformbase.h"

/**
An instance of this class is used by the AppWizard to collect
information about setting up the cvs repository.
*/
class CvsForm : public CvsFormBase
{
    TQ_OBJECT
  
public:
    CvsForm( TQWidget *parent = 0, const char *name = 0, WFlags f = 0 );
    virtual ~CvsForm();

    TQString module() const;
    TQString vendor() const;
    TQString message() const;
    TQString release() const;
    TQString location() const;
    TQString cvsRsh() const;
    bool mustInitRoot() const;
};

#endif
